Cloudopolis Sunlit Chaser Bug
Closed, ResolvedPublic

Description

What is happening:
Sunlit Chaser dialog box stuck on screen, can't interact with it.

What should be happening:
Quest should advance, not happening

Steps to reproduce the issue:

  • Created new pegasus character, followed storyline through to completion of Evershade/Werepony quest and returned to Crew at Ponydale Town Hall. At this point I don't get any indication in the quest log of what to do so I returned to Cloudopolis to talk to Windhover. Windhover has no extra quest at this point and tells me to explore.
  • I talk to Grandpa Biggles and complete his quest.
  • I talk to Sunlit Chaser and she suggests a Race. I select "Yes" then the following happens:-

a. A big pile of ponies appears in the middle of the runway (Windhover, Sunlit Chaser and a couple of other ponies.)
b. All the dialog boxes appear in quick sucession.
c. The final dialog box appears saying "Good Race! I might be able to turn you lollygagging bodacious scallywags into real fliers yet."

At this point I can no longer move my character or click on the dialog box. Typing /stuck allows me to move again but the dialog remains and is still unclickable. I have tried:-

a. Logging out and logging back in - the dialog box remains and is still unclickable.
b. Logging out, shutting down the game completely and logging back in - same issue.
c. Tried logging in on a different server - same issue.
d. Changing zone - same issue and can't move again until I type /stuck.

It's repeatable as I've deleted my character once already and gone through the quest line again to have the same thing happen again. I can't currently advance my character and am stuck in an unplayable situation.

Logged in again today - dialog box has gone, however it comes back again if I change zone (and then I have to do /stuck again) and there are now about thirty instances of Sunlit Chaser dotted around. Talking to any of them give me Windhover's dialog box saying that I haven't presented the paperwork in time.

To make matters worse, I took another character to Cloudopolis and somehow she picked up the 'Race Sunlit Chaser' quest too (She's a unicorn, so I'm not sure how that's going to work...). Logged out and logged back in, and she too now has the stuck dialog issue. Currently can't play any of my characters :(

Reproduced by:
Forum name of anyone having reproduced this issue, if any

Screenshots:
If applicable, give a direct link to screenshots/GIFs/videos of the issue, annotated to show exactly what's going wrong

Bogbrush created this task.Nov 9 2017, 8:50 PM
Bogbrush updated the task description. (Show Details)Nov 10 2017, 1:31 PM
Rattletrap closed this task as Resolved.Nov 12 2017, 4:03 AM

This issue has been fixed. However, this quest has not currently been released for general player use. Sunlit Chaser should now offer you an option to get out of the quest. If you need to negate the quest (though it will stay in your journal), please see Old Quest Marker Fix by the train station in Cantermore.